import os
from gi.repository import Gtk

def set_theme():
    settings = Gtk.Settings.get_default()
    sugar_theme = 'sugar-72'
    if 'SUGAR_SCALING' in os.environ:
        if os.environ['SUGAR_SCALING'] == '100':
            sugar_theme = 'sugar-100'
    print "Current theme:", sugar_theme
    settings.set_property('gtk-theme-name', sugar_theme)
    settings.set_property('gtk-icon-theme-name', 'sugar')
    settings.set_property('gtk-menu-images', 1)
    settings.set_property('gtk-button-images', 1)

set_theme()

window = Gtk.Window()
window.connect("delete-event", Gtk.main_quit)
window.show_all()

vbox = Gtk.VBox()
window.add(vbox)
vbox.show()

ok_button = Gtk.Button.new_from_stock(Gtk.STOCK_OK)
vbox.pack_start(ok_button, True, False, 0)
ok_button.show()

x_button = Gtk.Button.new_from_stock(Gtk.STOCK_CANCEL)
vbox.pack_start(x_button, True, False, 0)
x_button.show()

icontheme = Gtk.IconTheme.get_default()
print "IconTheme search path:", icontheme.get_search_path()

needed = icontheme.rescan_if_needed()
print "IconTheme rescan needed:", needed

ok_icon = icontheme.lookup_icon(Gtk.STOCK_OK, Gtk.IconSize.BUTTON, 0)
if ok_icon is None:
    print "Gtk.STOCK_OK has no custom icon"
else:
    print "Icon for Gtk.STOCK_OK:", ok_icon.get_filename()

x_icon = icontheme.lookup_icon(Gtk.STOCK_CANCEL, Gtk.IconSize.BUTTON, 0)
if x_icon is None:
    print "Gtk.STOCK_CANCEL has no custom icon"
else:
    print "Icon for Gtk.STOCK_CANCEL:", x_icon.get_filename()

Gtk.main()
